Last Comment Bug 283278 - Input should not alter invalid/out-of-range data
: Input should not alter invalid/out-of-range data
Status: RESOLVED FIXED
: fixed1.8.0.2, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: tor
: Stephen Pride
Mentors:
http://www.mozilla.org/projects/xforms/
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 00:38 PST by Allan Beaufour
Modified: 2016-07-15 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
testcase (1.44 KB, application/xhtml+xml)
2005-02-23 09:37 PST, aaronr
no flags Details
avoid keyup from tab navigation (1.22 KB, patch)
2005-10-26 13:44 PDT, tor
allan: review+
aaronr: review+
Details | Diff | Splinter Review

Description Allan Beaufour 2005-02-23 00:38:30 PST
As mentioned in bug 273428, we need to make sure that <input> does not alter
instance data that are f.x. invalid or out-of-range.
Comment 1 aaronr 2005-02-23 09:37:26 PST
Created attachment 175328 [details]
testcase

Testcase shows the problem.  If you tab, you'll notice that the output field
changes from "junk" to "false" with no other user changes necessary.
Comment 2 tor 2005-10-26 13:44:25 PDT
Created attachment 200912 [details] [diff] [review]
avoid keyup from tab navigation
Comment 3 tor 2005-10-28 11:56:17 PDT
Checked in on trunk.
Comment 4 Olli Pettay [:smaug] 2005-10-28 11:58:44 PDT
Please use xf-to-branch, easier to find...
Comment 5 tor 2005-10-28 12:14:22 PDT
Tell aaronr to be clearer in explaining the xforms bug marking strategy.
Comment 6 aaronr 2005-10-28 12:39:16 PDT
(In reply to comment #5)
> Tell aaronr to be clearer in explaining the xforms bug marking strategy.
> 

I said to mark it as xf dash to dash branch.  Must be your years of os/2 admiration that has you thinking 2 instead of to, two, or too :=)
Comment 7 Allan Beaufour 2005-10-28 14:33:39 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > Tell aaronr to be clearer in explaining the xforms bug marking strategy.
> > 
> 
> I said to mark it as xf dash to dash branch.  Must be your years of os/2
> admiration that has you thinking 2 instead of to, two, or too :=)

xf-warp-2-branch? :)
Comment 8 aaronr 2006-02-02 17:17:11 PST
checked into MOZILLA_1_8_BRANCH via bug 323691.  Leaving open for now until it gets into 1.8.0
Comment 9 aaronr 2006-07-07 12:36:46 PDT
verified that we DID fix it in MOZILLA_1_8_BRANCH, but it looks like it has since regressed.  I'll open a new bug.

Note You need to log in before you can comment on or make changes to this bug.